# Setup

## Qemu binfmt emulation
```
sudo apt install binfmt-support qemu-user-static
```

### In `configuration.nix`:

```nix
{
  boot.binfmt.emulatedSystems = [ "aarch64-linux" "armv7l-linux" ];
}
```

### or in `/etc/nix/nix.conf`:

```
extra-platforms = aarch64-linux armv7l-linux
extra-sandbox-paths = /usr/libexec/qemu-binfmt /usr/bin/qemu-aarch64-static /usr/bin/qemu-arm-static
```